Investors, warrants & staking

Get My Trading Plans Sale History

Returns the caller's executed trading-plan sale history.

POSThttps://api.toku.com/tga/get-my-trading-plans-sale-history

Not available to API keys.

curl --request POST \
  --url 'https://api.toku.com/tga/get-my-trading-plans-sale-history' \
  --header 'Authorization: Bearer <token>'
200 response
[
  {
    "orderID": "string",
    "grantName": "string",
    "grantID": "string",
    "executionDate": "string",
    "tokensSold": "string",
    "tokensSoldFor": "EURC",
    "salePrice": "string",
    "netProceeds": "string"
  }
]

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

anyany

Response

200Successful response
orderIDstringrequired
grantNamestringrequired
grantIDstringrequired
executionDatestringrequired
tokensSoldstringrequired

Allowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$

tokensSoldForstringrequired

Available options: EURC, USDC, USDT

salePricestringrequired

Allowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$

netProceedsstringrequired

Allowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$

400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits